Skip to main content
GET /api/v1/cloud/vaults/{vault_id}/credentials/{credential_id} Retrieves a single Vault credential. Secret values are never returned.

Path parameters

ParameterTypeDescription
vault_idstringVault ID with the vault_ prefix
credential_idstringCredential ID with the vcred_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/vaults/vault_019e3bb940277f0db05ab74291acf6ef/credentials/vcred_019e3bb98877759e862750b495c1fce8" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "id": "vcred_019e3bb98877759e862750b495c1fce8",
  "type": "vault_credential",
  "vault_id": "vault_019e3bb940277f0db05ab74291acf6ef",
  "auth": {
    "type": "static_bearer",
    "mcp_server_url": "https://example.com/mcp-stream"
  },
  "display_name": null,
  "metadata": {},
  "archived_at": null,
  "created_at": "2026-05-18T15:34:35.387093Z",
  "updated_at": "2026-05-18T15:34:35.387093Z"
}

Errors

HTTPTypeTrigger
401TOKEN_INVALIDMissing or invalid authentication token
404not_found_errorVault or credential does not exist
See Errors for the full error envelope.

Authenticate with vaults

Store and inject secrets safely into agent sessions.